Author Topic: RFC: Dropping support for old wxWidgets releases (2.8 in particular)  (Read 1851 times)

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9496
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #15 on: August 02, 2019, 01:58:17 pm »
We talked about that for quite some time now. For me, I understood we do that step by step:
1. Provide wx28 and wx30 nightlies for testing
2. Provide only wx30 nightly builds to enforce testing once we don't get serious errors
3. Switch with release

We did step 1. We can do step 2 now, if you like.
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: http://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: http://wiki.codeblocks.org/index.php?title=FAQ

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12002
    • Travis build status
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #16 on: August 02, 2019, 02:43:47 pm »
Morten: We're already at step 2? Or by step 2 you mean remove project files for wx2.8?
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9496
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #17 on: August 02, 2019, 04:42:58 pm »
Morten: We're already at step 2? Or by step 2 you mean remove project files for wx2.8?
We provide wx31 but not wx30. If you intend to switch to wx30 then this should be tested. Maybe I don't get the point?
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: http://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: http://wiki.codeblocks.org/index.php?title=FAQ

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12002
    • Travis build status
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #18 on: August 02, 2019, 05:33:49 pm »
The plan is:
- use wx30 for linux,
- use wx31 for windows and macos.
- delete wx28 projects for linux/macos
- delete wx30 projects for windows.

We cannot use wx30 on windows, because it doesn't have enough hidpi features, as far as I know.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9496
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #19 on: August 03, 2019, 11:19:33 am »
The plan is:
- use wx30 for linux,
- use wx31 for windows and macos.
- delete wx28 projects for linux/macos
- delete wx30 projects for windows.

We cannot use wx30 on windows, because it doesn't have enough hidpi features, as far as I know.
OK, go ahead!
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: http://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: http://wiki.codeblocks.org/index.php?title=FAQ

Offline BlueHazzard

  • Developer
  • Lives here!
  • *****
  • Posts: 2492
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #20 on: August 03, 2019, 11:51:55 am »
Quote
We cannot use wx30 on windows, because it doesn't have enough hidpi features, as far as I know.
but hasn't wx3.1.2 a fatal crash bug if you use code completion pop up?
found the report by Miguel Gimenez and i am hitting this too
http://forums.codeblocks.org/index.php/topic,23291.msg158701.html#msg158701

[Edit: specify wxWidgets version]
« Last Edit: August 03, 2019, 11:58:34 am by BlueHazzard »

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12002
    • Travis build status
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #21 on: August 03, 2019, 06:29:36 pm »
Yes, 3.1.2 is broken for cb. We need 3.1.3 or wx-master ;( This is why night builds are still on 3.1.1.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Online killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5179
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #22 on: August 03, 2019, 10:27:34 pm »
no idea when wx 3.1.3 might arrive, but maybe we could switch for the nightlies to wx master till 3.1.3 arrives ?

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12002
    • Travis build status
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #23 on: August 04, 2019, 12:01:35 am »
Yes, but which master? It is really bad situation. :(
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Online killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5179
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #24 on: August 04, 2019, 08:32:39 am »
oh, I assumed their would be 1 master ?

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12002
    • Travis build status
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #25 on: August 04, 2019, 09:37:09 am »
There is only one master, but which point/commit should we choose?
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline Miguel Gimenez

  • Regular
  • ***
  • Posts: 341
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #26 on: August 04, 2019, 11:21:29 am »
The wx3.1.3 release is estimated for september, so there is no real need to use wx-master now.

The only advantage would be prerelease bug detection in wx (like the wxPopup issue that invalidated 3.1.2)

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12002
    • Travis build status
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #27 on: August 04, 2019, 01:12:28 pm »
There are several fixes for toolbars in wx-master, which are useful to us. :(
Also relying on wx's schedule isn't a good idea.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Online killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5179
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #28 on: August 05, 2019, 05:54:17 pm »
The wx3.1.3 release is estimated for september, so there is no real need to use wx-master now.

The only advantage would be prerelease bug detection in wx (like the wxPopup issue that invalidated 3.1.2)

ok let's wait on this one, and if that one still have to many bugs, then we can think of wx-master ...

Offline sodev

  • Regular
  • ***
  • Posts: 325
Re: RFC: Dropping support for old wxWidgets releases (2.8 in particular)
« Reply #29 on: August 05, 2019, 10:04:17 pm »
There is only one master, but which point/commit should we choose?

My usual approach is to check the log messages to not pick a commit that is in the middle of a series, but usually they don't merge these commits individually but only as whole branch from a PR. Then i try to estimate how dangerous the recent commits are and depending on that i wait a little to see if follow ups get commited. And then i usually take what git fetch gives :).